# Do not edit this file; it's autogenerated.

load common


@test 'unpack chtest' {
    scope quick
    prerequisites_ok chtest
    if [[ -e "${ch_tardir}/chtest.sqfs" ]]; then
        unsquashfs -d "${ch_imgdir}/chtest" "${ch_tardir}/chtest.sqfs"
    else
        ch-tar2dir "${ch_tardir}/chtest" "$ch_imgdir"
    fi
}

@test 'ch-run chtest /bin/true' {
    scope quick
    prerequisites_ok chtest
    if [[ -e "${ch_tardir}/chtest.sqfs" ]]; then
        ch-mount "${ch_tardir}/chtest".sqfs "$ch_mounts"
        img="${ch_mounts}/chtest"
    else
        img="${ch_imgdir}/chtest"
    fi
    ch-run "$img" /bin/true
    ch-umount "$img" || true
}

@test 'unpack centos7xz' {
    scope standard
    prerequisites_ok centos7xz
    if [[ -e "${ch_tardir}/centos7xz.sqfs" ]]; then
        unsquashfs -d "${ch_imgdir}/centos7xz" "${ch_tardir}/centos7xz.sqfs"
    else
        ch-tar2dir "${ch_tardir}/centos7xz" "$ch_imgdir"
    fi
}

@test 'ch-run centos7xz /bin/true' {
    scope standard
    prerequisites_ok centos7xz
    if [[ -e "${ch_tardir}/centos7xz.sqfs" ]]; then
        ch-mount "${ch_tardir}/centos7xz".sqfs "$ch_mounts"
        img="${ch_mounts}/centos7xz"
    else
        img="${ch_imgdir}/centos7xz"
    fi
    ch-run "$img" /bin/true
    ch-umount "$img" || true
}

@test 'unpack ch-build2dir' {
    scope standard
    prerequisites_ok ch-build2dir
    if [[ -e "${ch_tardir}/ch-build2dir.sqfs" ]]; then
        unsquashfs -d "${ch_imgdir}/ch-build2dir" "${ch_tardir}/ch-build2dir.sqfs"
    else
        ch-tar2dir "${ch_tardir}/ch-build2dir" "$ch_imgdir"
    fi
}

@test 'ch-run ch-build2dir /bin/true' {
    scope standard
    prerequisites_ok ch-build2dir
    if [[ -e "${ch_tardir}/ch-build2dir.sqfs" ]]; then
        ch-mount "${ch_tardir}/ch-build2dir".sqfs "$ch_mounts"
        img="${ch_mounts}/ch-build2dir"
    else
        img="${ch_imgdir}/ch-build2dir"
    fi
    ch-run "$img" /bin/true
    ch-umount "$img" || true
}

@test 'unpack ch-pull2dir' {
    scope standard
    prerequisites_ok ch-pull2dir
    if [[ -e "${ch_tardir}/ch-pull2dir.sqfs" ]]; then
        unsquashfs -d "${ch_imgdir}/ch-pull2dir" "${ch_tardir}/ch-pull2dir.sqfs"
    else
        ch-tar2dir "${ch_tardir}/ch-pull2dir" "$ch_imgdir"
    fi
}

@test 'ch-run ch-pull2dir /bin/true' {
    scope standard
    prerequisites_ok ch-pull2dir
    if [[ -e "${ch_tardir}/ch-pull2dir.sqfs" ]]; then
        ch-mount "${ch_tardir}/ch-pull2dir".sqfs "$ch_mounts"
        img="${ch_mounts}/ch-pull2dir"
    else
        img="${ch_imgdir}/ch-pull2dir"
    fi
    ch-run "$img" /bin/true
    ch-umount "$img" || true
}

@test 'unpack ch-pull2tar' {
    scope standard
    prerequisites_ok ch-pull2tar
    if [[ -e "${ch_tardir}/ch-pull2tar.sqfs" ]]; then
        unsquashfs -d "${ch_imgdir}/ch-pull2tar" "${ch_tardir}/ch-pull2tar.sqfs"
    else
        ch-tar2dir "${ch_tardir}/ch-pull2tar" "$ch_imgdir"
    fi
}

@test 'ch-run ch-pull2tar /bin/true' {
    scope standard
    prerequisites_ok ch-pull2tar
    if [[ -e "${ch_tardir}/ch-pull2tar.sqfs" ]]; then
        ch-mount "${ch_tardir}/ch-pull2tar".sqfs "$ch_mounts"
        img="${ch_mounts}/ch-pull2tar"
    else
        img="${ch_imgdir}/ch-pull2tar"
    fi
    ch-run "$img" /bin/true
    ch-umount "$img" || true
}

@test 'unpack missing' {
    scope quick
    prerequisites_ok missing
    if [[ -e "${ch_tardir}/missing.sqfs" ]]; then
        unsquashfs -d "${ch_imgdir}/missing" "${ch_tardir}/missing.sqfs"
    else
        ch-tar2dir "${ch_tardir}/missing" "$ch_imgdir"
    fi
}

@test 'ch-run missing /bin/true' {
    scope quick
    prerequisites_ok missing
    if [[ -e "${ch_tardir}/missing.sqfs" ]]; then
        ch-mount "${ch_tardir}/missing".sqfs "$ch_mounts"
        img="${ch_mounts}/missing"
    else
        img="${ch_imgdir}/missing"
    fi
    ch-run "$img" /bin/true
    ch-umount "$img" || true
}

@test 'unpack skopeo-umoci' {
    scope standard
    prerequisites_ok skopeo-umoci
    if [[ -e "${ch_tardir}/skopeo-umoci.sqfs" ]]; then
        unsquashfs -d "${ch_imgdir}/skopeo-umoci" "${ch_tardir}/skopeo-umoci.sqfs"
    else
        ch-tar2dir "${ch_tardir}/skopeo-umoci" "$ch_imgdir"
    fi
}

@test 'ch-run skopeo-umoci /bin/true' {
    scope standard
    prerequisites_ok skopeo-umoci
    if [[ -e "${ch_tardir}/skopeo-umoci.sqfs" ]]; then
        ch-mount "${ch_tardir}/skopeo-umoci".sqfs "$ch_mounts"
        img="${ch_mounts}/skopeo-umoci"
    else
        img="${ch_imgdir}/skopeo-umoci"
    fi
    ch-run "$img" /bin/true
    ch-umount "$img" || true
}

@test 'unpack alpine39' {
    scope quick
    prerequisites_ok alpine39
    if [[ -e "${ch_tardir}/alpine39.sqfs" ]]; then
        unsquashfs -d "${ch_imgdir}/alpine39" "${ch_tardir}/alpine39.sqfs"
    else
        ch-tar2dir "${ch_tardir}/alpine39" "$ch_imgdir"
    fi
}

@test 'ch-run alpine39 /bin/true' {
    scope quick
    prerequisites_ok alpine39
    if [[ -e "${ch_tardir}/alpine39.sqfs" ]]; then
        ch-mount "${ch_tardir}/alpine39".sqfs "$ch_mounts"
        img="${ch_mounts}/alpine39"
    else
        img="${ch_imgdir}/alpine39"
    fi
    ch-run "$img" /bin/true
    ch-umount "$img" || true
}

@test 'unpack alpineedge' {
    scope full
    prerequisites_ok alpineedge
    if [[ -e "${ch_tardir}/alpineedge.sqfs" ]]; then
        unsquashfs -d "${ch_imgdir}/alpineedge" "${ch_tardir}/alpineedge.sqfs"
    else
        ch-tar2dir "${ch_tardir}/alpineedge" "$ch_imgdir"
    fi
}

@test 'ch-run alpineedge /bin/true' {
    scope full
    prerequisites_ok alpineedge
    if [[ -e "${ch_tardir}/alpineedge.sqfs" ]]; then
        ch-mount "${ch_tardir}/alpineedge".sqfs "$ch_mounts"
        img="${ch_mounts}/alpineedge"
    else
        img="${ch_imgdir}/alpineedge"
    fi
    ch-run "$img" /bin/true
    ch-umount "$img" || true
}

@test 'unpack centos6' {
    scope full
    prerequisites_ok centos6
    if [[ -e "${ch_tardir}/centos6.sqfs" ]]; then
        unsquashfs -d "${ch_imgdir}/centos6" "${ch_tardir}/centos6.sqfs"
    else
        ch-tar2dir "${ch_tardir}/centos6" "$ch_imgdir"
    fi
}

@test 'ch-run centos6 /bin/true' {
    scope full
    prerequisites_ok centos6
    if [[ -e "${ch_tardir}/centos6.sqfs" ]]; then
        ch-mount "${ch_tardir}/centos6".sqfs "$ch_mounts"
        img="${ch_mounts}/centos6"
    else
        img="${ch_imgdir}/centos6"
    fi
    ch-run "$img" /bin/true
    ch-umount "$img" || true
}

@test 'unpack centos7' {
    scope standard
    prerequisites_ok centos7
    if [[ -e "${ch_tardir}/centos7.sqfs" ]]; then
        unsquashfs -d "${ch_imgdir}/centos7" "${ch_tardir}/centos7.sqfs"
    else
        ch-tar2dir "${ch_tardir}/centos7" "$ch_imgdir"
    fi
}

@test 'ch-run centos7 /bin/true' {
    scope standard
    prerequisites_ok centos7
    if [[ -e "${ch_tardir}/centos7.sqfs" ]]; then
        ch-mount "${ch_tardir}/centos7".sqfs "$ch_mounts"
        img="${ch_mounts}/centos7"
    else
        img="${ch_imgdir}/centos7"
    fi
    ch-run "$img" /bin/true
    ch-umount "$img" || true
}

@test 'unpack debian9' {
    scope standard
    prerequisites_ok debian9
    if [[ -e "${ch_tardir}/debian9.sqfs" ]]; then
        unsquashfs -d "${ch_imgdir}/debian9" "${ch_tardir}/debian9.sqfs"
    else
        ch-tar2dir "${ch_tardir}/debian9" "$ch_imgdir"
    fi
}

@test 'ch-run debian9 /bin/true' {
    scope standard
    prerequisites_ok debian9
    if [[ -e "${ch_tardir}/debian9.sqfs" ]]; then
        ch-mount "${ch_tardir}/debian9".sqfs "$ch_mounts"
        img="${ch_mounts}/debian9"
    else
        img="${ch_imgdir}/debian9"
    fi
    ch-run "$img" /bin/true
    ch-umount "$img" || true
}

@test 'unpack exhaustive' {
    scope standard
    prerequisites_ok exhaustive
    if [[ -e "${ch_tardir}/exhaustive.sqfs" ]]; then
        unsquashfs -d "${ch_imgdir}/exhaustive" "${ch_tardir}/exhaustive.sqfs"
    else
        ch-tar2dir "${ch_tardir}/exhaustive" "$ch_imgdir"
    fi
}

@test 'ch-run exhaustive /bin/true' {
    scope standard
    prerequisites_ok exhaustive
    if [[ -e "${ch_tardir}/exhaustive.sqfs" ]]; then
        ch-mount "${ch_tardir}/exhaustive".sqfs "$ch_mounts"
        img="${ch_mounts}/exhaustive"
    else
        img="${ch_imgdir}/exhaustive"
    fi
    ch-run "$img" /bin/true
    ch-umount "$img" || true
}

@test 'unpack mpich' {
    scope full
    prerequisites_ok mpich
    if [[ -e "${ch_tardir}/mpich.sqfs" ]]; then
        unsquashfs -d "${ch_imgdir}/mpich" "${ch_tardir}/mpich.sqfs"
    else
        ch-tar2dir "${ch_tardir}/mpich" "$ch_imgdir"
    fi
}

@test 'ch-run mpich /bin/true' {
    scope full
    prerequisites_ok mpich
    if [[ -e "${ch_tardir}/mpich.sqfs" ]]; then
        ch-mount "${ch_tardir}/mpich".sqfs "$ch_mounts"
        img="${ch_mounts}/mpich"
    else
        img="${ch_imgdir}/mpich"
    fi
    ch-run "$img" /bin/true
    ch-umount "$img" || true
}

@test 'unpack nvidia' {
    scope full
    prerequisites_ok nvidia
    if [[ -e "${ch_tardir}/nvidia.sqfs" ]]; then
        unsquashfs -d "${ch_imgdir}/nvidia" "${ch_tardir}/nvidia.sqfs"
    else
        ch-tar2dir "${ch_tardir}/nvidia" "$ch_imgdir"
    fi
}

@test 'ch-run nvidia /bin/true' {
    scope full
    prerequisites_ok nvidia
    if [[ -e "${ch_tardir}/nvidia.sqfs" ]]; then
        ch-mount "${ch_tardir}/nvidia".sqfs "$ch_mounts"
        img="${ch_mounts}/nvidia"
    else
        img="${ch_imgdir}/nvidia"
    fi
    ch-run "$img" /bin/true
    ch-umount "$img" || true
}

@test 'unpack openmpi' {
    scope full
    prerequisites_ok openmpi
    if [[ -e "${ch_tardir}/openmpi.sqfs" ]]; then
        unsquashfs -d "${ch_imgdir}/openmpi" "${ch_tardir}/openmpi.sqfs"
    else
        ch-tar2dir "${ch_tardir}/openmpi" "$ch_imgdir"
    fi
}

@test 'ch-run openmpi /bin/true' {
    scope full
    prerequisites_ok openmpi
    if [[ -e "${ch_tardir}/openmpi.sqfs" ]]; then
        ch-mount "${ch_tardir}/openmpi".sqfs "$ch_mounts"
        img="${ch_mounts}/openmpi"
    else
        img="${ch_imgdir}/openmpi"
    fi
    ch-run "$img" /bin/true
    ch-umount "$img" || true
}

@test 'unpack python3' {
    scope full
    prerequisites_ok python3
    if [[ -e "${ch_tardir}/python3.sqfs" ]]; then
        unsquashfs -d "${ch_imgdir}/python3" "${ch_tardir}/python3.sqfs"
    else
        ch-tar2dir "${ch_tardir}/python3" "$ch_imgdir"
    fi
}

@test 'ch-run python3 /bin/true' {
    scope full
    prerequisites_ok python3
    if [[ -e "${ch_tardir}/python3.sqfs" ]]; then
        ch-mount "${ch_tardir}/python3".sqfs "$ch_mounts"
        img="${ch_mounts}/python3"
    else
        img="${ch_imgdir}/python3"
    fi
    ch-run "$img" /bin/true
    ch-umount "$img" || true
}

@test 'unpack ubuntu1604' {
    scope full
    prerequisites_ok ubuntu1604
    if [[ -e "${ch_tardir}/ubuntu1604.sqfs" ]]; then
        unsquashfs -d "${ch_imgdir}/ubuntu1604" "${ch_tardir}/ubuntu1604.sqfs"
    else
        ch-tar2dir "${ch_tardir}/ubuntu1604" "$ch_imgdir"
    fi
}

@test 'ch-run ubuntu1604 /bin/true' {
    scope full
    prerequisites_ok ubuntu1604
    if [[ -e "${ch_tardir}/ubuntu1604.sqfs" ]]; then
        ch-mount "${ch_tardir}/ubuntu1604".sqfs "$ch_mounts"
        img="${ch_mounts}/ubuntu1604"
    else
        img="${ch_imgdir}/ubuntu1604"
    fi
    ch-run "$img" /bin/true
    ch-umount "$img" || true
}

@test 'unpack alpine39_dp' {
    scope quick
    prerequisites_ok alpine39_dp
    if [[ -e "${ch_tardir}/alpine39_dp.sqfs" ]]; then
        unsquashfs -d "${ch_imgdir}/alpine39_dp" "${ch_tardir}/alpine39_dp.sqfs"
    else
        ch-tar2dir "${ch_tardir}/alpine39_dp" "$ch_imgdir"
    fi
}

@test 'ch-run alpine39_dp /bin/true' {
    scope quick
    prerequisites_ok alpine39_dp
    if [[ -e "${ch_tardir}/alpine39_dp.sqfs" ]]; then
        ch-mount "${ch_tardir}/alpine39_dp".sqfs "$ch_mounts"
        img="${ch_mounts}/alpine39_dp"
    else
        img="${ch_imgdir}/alpine39_dp"
    fi
    ch-run "$img" /bin/true
    ch-umount "$img" || true
}

@test 'unpack lammps' {
    scope full
    prerequisites_ok lammps
    if [[ -e "${ch_tardir}/lammps.sqfs" ]]; then
        unsquashfs -d "${ch_imgdir}/lammps" "${ch_tardir}/lammps.sqfs"
    else
        ch-tar2dir "${ch_tardir}/lammps" "$ch_imgdir"
    fi
}

@test 'ch-run lammps /bin/true' {
    scope full
    prerequisites_ok lammps
    if [[ -e "${ch_tardir}/lammps.sqfs" ]]; then
        ch-mount "${ch_tardir}/lammps".sqfs "$ch_mounts"
        img="${ch_mounts}/lammps"
    else
        img="${ch_imgdir}/lammps"
    fi
    ch-run "$img" /bin/true
    ch-umount "$img" || true
}

@test 'unpack paraview' {
    scope full
    prerequisites_ok paraview
    if [[ -e "${ch_tardir}/paraview.sqfs" ]]; then
        unsquashfs -d "${ch_imgdir}/paraview" "${ch_tardir}/paraview.sqfs"
    else
        ch-tar2dir "${ch_tardir}/paraview" "$ch_imgdir"
    fi
}

@test 'ch-run paraview /bin/true' {
    scope full
    prerequisites_ok paraview
    if [[ -e "${ch_tardir}/paraview.sqfs" ]]; then
        ch-mount "${ch_tardir}/paraview".sqfs "$ch_mounts"
        img="${ch_mounts}/paraview"
    else
        img="${ch_imgdir}/paraview"
    fi
    ch-run "$img" /bin/true
    ch-umount "$img" || true
}

@test 'unpack spark' {
    scope standard
    prerequisites_ok spark
    if [[ -e "${ch_tardir}/spark.sqfs" ]]; then
        unsquashfs -d "${ch_imgdir}/spark" "${ch_tardir}/spark.sqfs"
    else
        ch-tar2dir "${ch_tardir}/spark" "$ch_imgdir"
    fi
}

@test 'ch-run spark /bin/true' {
    scope standard
    prerequisites_ok spark
    if [[ -e "${ch_tardir}/spark.sqfs" ]]; then
        ch-mount "${ch_tardir}/spark".sqfs "$ch_mounts"
        img="${ch_mounts}/spark"
    else
        img="${ch_imgdir}/spark"
    fi
    ch-run "$img" /bin/true
    ch-umount "$img" || true
}

@test 'unpack hello' {
    scope standard
    prerequisites_ok hello
    if [[ -e "${ch_tardir}/hello.sqfs" ]]; then
        unsquashfs -d "${ch_imgdir}/hello" "${ch_tardir}/hello.sqfs"
    else
        ch-tar2dir "${ch_tardir}/hello" "$ch_imgdir"
    fi
}

@test 'ch-run hello /bin/true' {
    scope standard
    prerequisites_ok hello
    if [[ -e "${ch_tardir}/hello.sqfs" ]]; then
        ch-mount "${ch_tardir}/hello".sqfs "$ch_mounts"
        img="${ch_mounts}/hello"
    else
        img="${ch_imgdir}/hello"
    fi
    ch-run "$img" /bin/true
    ch-umount "$img" || true
}

@test 'unpack obspy' {
    scope skip
    prerequisites_ok obspy
    if [[ -e "${ch_tardir}/obspy.sqfs" ]]; then
        unsquashfs -d "${ch_imgdir}/obspy" "${ch_tardir}/obspy.sqfs"
    else
        ch-tar2dir "${ch_tardir}/obspy" "$ch_imgdir"
    fi
}

@test 'ch-run obspy /bin/true' {
    scope skip
    prerequisites_ok obspy
    if [[ -e "${ch_tardir}/obspy.sqfs" ]]; then
        ch-mount "${ch_tardir}/obspy".sqfs "$ch_mounts"
        img="${ch_mounts}/obspy"
    else
        img="${ch_imgdir}/obspy"
    fi
    ch-run "$img" /bin/true
    ch-umount "$img" || true
}

@test 'unpack spack' {
    scope full
    prerequisites_ok spack
    if [[ -e "${ch_tardir}/spack.sqfs" ]]; then
        unsquashfs -d "${ch_imgdir}/spack" "${ch_tardir}/spack.sqfs"
    else
        ch-tar2dir "${ch_tardir}/spack" "$ch_imgdir"
    fi
}

@test 'ch-run spack /bin/true' {
    scope full
    prerequisites_ok spack
    if [[ -e "${ch_tardir}/spack.sqfs" ]]; then
        ch-mount "${ch_tardir}/spack".sqfs "$ch_mounts"
        img="${ch_mounts}/spack"
    else
        img="${ch_imgdir}/spack"
    fi
    ch-run "$img" /bin/true
    ch-umount "$img" || true
}

@test 'unpack mpibench-mpich' {
    scope full
    prerequisites_ok mpibench-mpich
    if [[ -e "${ch_tardir}/mpibench-mpich.sqfs" ]]; then
        unsquashfs -d "${ch_imgdir}/mpibench-mpich" "${ch_tardir}/mpibench-mpich.sqfs"
    else
        ch-tar2dir "${ch_tardir}/mpibench-mpich" "$ch_imgdir"
    fi
}

@test 'ch-run mpibench-mpich /bin/true' {
    scope full
    prerequisites_ok mpibench-mpich
    if [[ -e "${ch_tardir}/mpibench-mpich.sqfs" ]]; then
        ch-mount "${ch_tardir}/mpibench-mpich".sqfs "$ch_mounts"
        img="${ch_mounts}/mpibench-mpich"
    else
        img="${ch_imgdir}/mpibench-mpich"
    fi
    ch-run "$img" /bin/true
    ch-umount "$img" || true
}

@test 'unpack mpibench-openmpi' {
    scope full
    prerequisites_ok mpibench-openmpi
    if [[ -e "${ch_tardir}/mpibench-openmpi.sqfs" ]]; then
        unsquashfs -d "${ch_imgdir}/mpibench-openmpi" "${ch_tardir}/mpibench-openmpi.sqfs"
    else
        ch-tar2dir "${ch_tardir}/mpibench-openmpi" "$ch_imgdir"
    fi
}

@test 'ch-run mpibench-openmpi /bin/true' {
    scope full
    prerequisites_ok mpibench-openmpi
    if [[ -e "${ch_tardir}/mpibench-openmpi.sqfs" ]]; then
        ch-mount "${ch_tardir}/mpibench-openmpi".sqfs "$ch_mounts"
        img="${ch_mounts}/mpibench-openmpi"
    else
        img="${ch_imgdir}/mpibench-openmpi"
    fi
    ch-run "$img" /bin/true
    ch-umount "$img" || true
}

@test 'unpack mpihello-mpich' {
    scope full
    prerequisites_ok mpihello-mpich
    if [[ -e "${ch_tardir}/mpihello-mpich.sqfs" ]]; then
        unsquashfs -d "${ch_imgdir}/mpihello-mpich" "${ch_tardir}/mpihello-mpich.sqfs"
    else
        ch-tar2dir "${ch_tardir}/mpihello-mpich" "$ch_imgdir"
    fi
}

@test 'ch-run mpihello-mpich /bin/true' {
    scope full
    prerequisites_ok mpihello-mpich
    if [[ -e "${ch_tardir}/mpihello-mpich.sqfs" ]]; then
        ch-mount "${ch_tardir}/mpihello-mpich".sqfs "$ch_mounts"
        img="${ch_mounts}/mpihello-mpich"
    else
        img="${ch_imgdir}/mpihello-mpich"
    fi
    ch-run "$img" /bin/true
    ch-umount "$img" || true
}

@test 'unpack mpihello-openmpi' {
    scope full
    prerequisites_ok mpihello-openmpi
    if [[ -e "${ch_tardir}/mpihello-openmpi.sqfs" ]]; then
        unsquashfs -d "${ch_imgdir}/mpihello-openmpi" "${ch_tardir}/mpihello-openmpi.sqfs"
    else
        ch-tar2dir "${ch_tardir}/mpihello-openmpi" "$ch_imgdir"
    fi
}

@test 'ch-run mpihello-openmpi /bin/true' {
    scope full
    prerequisites_ok mpihello-openmpi
    if [[ -e "${ch_tardir}/mpihello-openmpi.sqfs" ]]; then
        ch-mount "${ch_tardir}/mpihello-openmpi".sqfs "$ch_mounts"
        img="${ch_mounts}/mpihello-openmpi"
    else
        img="${ch_imgdir}/mpihello-openmpi"
    fi
    ch-run "$img" /bin/true
    ch-umount "$img" || true
}
